WPGBinaryDataContext Class Reference

`#include <WPG2Parser.h>`

## Public Member Functions
| WPGBinaryDataContext ()

## Public Attributes
double | x1
double | y1
double | x2
double | y2
int | numObjects
int | objectIndex
std::vector< librevenge::RVNGString > | mimeTypes

## Constructor & Destructor Documentation

## ◆ WPGBinaryDataContext()

WPGBinaryDataContext::WPGBinaryDataContext | ( |  | ) |
| inline

## Member Data Documentation

## ◆ mimeTypes

std::vector<librevenge::RVNGString> WPGBinaryDataContext::mimeTypes

Referenced by WPG2Parser::handleObjectCapsule(), WPG2Parser::handleObjectImage(), and WPGBinaryDataContext().

## ◆ numObjects

int WPGBinaryDataContext::numObjects

Referenced by WPGBinaryDataContext().

## ◆ objectIndex

int WPGBinaryDataContext::objectIndex

Referenced by WPG2Parser::handleObjectCapsule(), WPG2Parser::handleObjectImage(), and WPGBinaryDataContext().

## ◆ x1

double WPGBinaryDataContext::x1

Referenced by WPG2Parser::handleObjectCapsule(), WPG2Parser::handleObjectImage(), and WPGBinaryDataContext().

## ◆ x2

double WPGBinaryDataContext::x2

Referenced by WPG2Parser::handleObjectCapsule(), WPG2Parser::handleObjectImage(), and WPGBinaryDataContext().

## ◆ y1

double WPGBinaryDataContext::y1

Referenced by WPG2Parser::handleObjectCapsule(), WPG2Parser::handleObjectImage(), and WPGBinaryDataContext().

## ◆ y2

double WPGBinaryDataContext::y2

Referenced by WPG2Parser::handleObjectCapsule(), WPG2Parser::handleObjectImage(), and WPGBinaryDataContext().

The documentation for this class was generated from the following file:

- WPG2Parser.h